<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2018
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */


namespace openkm\bean;

/**
 * RelationGroupNode
 *
 * @author sochoa
 */
class RelationType {

    const BIDIRECTIONAL = "bidirectional";
    const PARENT_CHILD = "parent-child";
    const MANY_TO_MANY = "many-to-many";

    private $id;
    private $title;
    private $titleAToB;
    private $titleBToA;
    private $type;

    function __construct() {
        
    }

    public function getId() {
        return $this->id;
    }

    public function getTitle() {
        return $this->title;
    }

    public function getTitleAToB() {
        return $this->titleAToB;
    }

    public function getTitleBToA() {
        return $this->titleBToA;
    }

    public function getType() {
        return $this->type;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function setTitle($title) {
        $this->title = $title;
    }

    public function setTitleAToB($titleAToB) {
        $this->titleAToB = $titleAToB;
    }

    public function setTitleBToA($titleBToA) {
        $this->titleBToA = $titleBToA;
    }

    public function setType($type) {
        $this->type = $type;
    }

}
